<?php
/**
 * File for class ChronopostStructAppointmentValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructAppointmentValue originally named appointmentValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructAppointmentValue extends ChronopostWsdlClass
{
    /**
     * The timeSlotEndDate
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $timeSlotEndDate;
    /**
     * The timeSlotStartDate
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $timeSlotStartDate;
    /**
     * The timeSlotTariffLevel
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $timeSlotTariffLevel;
    /**
     * Constructor method for appointmentValue
     * @see parent::__construct()
     * @param dateTime $_timeSlotEndDate
     * @param dateTime $_timeSlotStartDate
     * @param string $_timeSlotTariffLevel
     * @return ChronopostStructAppointmentValue
     */
    public function __construct($_timeSlotEndDate = NULL,$_timeSlotStartDate = NULL,$_timeSlotTariffLevel = NULL)
    {
        parent::__construct(array('timeSlotEndDate'=>$_timeSlotEndDate,'timeSlotStartDate'=>$_timeSlotStartDate,'timeSlotTariffLevel'=>$_timeSlotTariffLevel),false);
    }
    /**
     * Get timeSlotEndDate value
     * @return dateTime|null
     */
    public function getTimeSlotEndDate()
    {
        return $this->timeSlotEndDate;
    }
    /**
     * Set timeSlotEndDate value
     * @param dateTime $_timeSlotEndDate the timeSlotEndDate
     * @return dateTime
     */
    public function setTimeSlotEndDate($_timeSlotEndDate)
    {
        return ($this->timeSlotEndDate = $_timeSlotEndDate);
    }
    /**
     * Get timeSlotStartDate value
     * @return dateTime|null
     */
    public function getTimeSlotStartDate()
    {
        return $this->timeSlotStartDate;
    }
    /**
     * Set timeSlotStartDate value
     * @param dateTime $_timeSlotStartDate the timeSlotStartDate
     * @return dateTime
     */
    public function setTimeSlotStartDate($_timeSlotStartDate)
    {
        return ($this->timeSlotStartDate = $_timeSlotStartDate);
    }
    /**
     * Get timeSlotTariffLevel value
     * @return string|null
     */
    public function getTimeSlotTariffLevel()
    {
        return $this->timeSlotTariffLevel;
    }
    /**
     * Set timeSlotTariffLevel value
     * @param string $_timeSlotTariffLevel the timeSlotTariffLevel
     * @return string
     */
    public function setTimeSlotTariffLevel($_timeSlotTariffLevel)
    {
        return ($this->timeSlotTariffLevel = $_timeSlotTariffLevel);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructAppointmentValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
