<?php
/**
 * File for the class which returns the class map definition
 * @package Chronopost
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * Class which returns the class map definition by the static method ChronopostClassMap::classMap()
 * @package Chronopost
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostClassMap
{
    /**
     * This method returns the array containing the mapping between WSDL structs and generated classes
     * This array is sent to the SoapClient when calling the WS
     * @return array
     */
    final public static function classMap()
    {
        return array (
  'adresseDestinataire' => 'ChronopostStructAdresseDestinataire',
  'adresseEnlevement' => 'ChronopostStructAdresseEnlevement',
  'adresseEnlevementV2' => 'ChronopostStructAdresseEnlevementV2',
  'adresseEnlevementV3' => 'ChronopostStructAdresseEnlevementV3',
  'appointmentValue' => 'ChronopostStructAppointmentValue',
  'articleValue' => 'ChronopostStructArticleValue',
  'creerEnlevementEurope' => 'ChronopostStructCreerEnlevementEurope',
  'creerEnlevementEuropeResponse' => 'ChronopostStructCreerEnlevementEuropeResponse',
  'creerEnlevementNational' => 'ChronopostStructCreerEnlevementNational',
  'creerEnlevementNationalResponse' => 'ChronopostStructCreerEnlevementNationalResponse',
  'customerValue' => 'ChronopostStructCustomerValue',
  'customsValue' => 'ChronopostStructCustomsValue',
  'destinataireDpd' => 'ChronopostStructDestinataireDpd',
  'destinatairesDpd' => 'ChronopostStructDestinatairesDpd',
  'detail' => 'ChronopostStructDetail',
  'donneurDOrdre' => 'ChronopostStructDonneurDOrdre',
  'error' => 'ChronopostStructError',
  'esdContraintesAgence' => 'ChronopostStructEsdContraintesAgence',
  'esdResultContraintesAgenceValue' => 'ChronopostStructEsdResultContraintesAgenceValue',
  'esdValue' => 'ChronopostStructEsdValue',
  'esdValue3' => 'ChronopostStructEsdValue3',
  'esdWithRefClientValue' => 'ChronopostStructEsdWithRefClientValue',
  'faisabiliteESD' => 'ChronopostStructFaisabiliteESD',
  'faisabiliteESDResponse' => 'ChronopostStructFaisabiliteESDResponse',
  'getReservedSkybill' => 'ChronopostStructGetReservedSkybill',
  'getReservedSkybillResponse' => 'ChronopostStructGetReservedSkybillResponse',
  'getReservedSkybillWithType' => 'ChronopostStructGetReservedSkybillWithType',
  'getReservedSkybillWithTypeAndMode' => 'ChronopostStructGetReservedSkybillWithTypeAndMode',
  'getReservedSkybillWithTypeAndModeAuth' => 'ChronopostStructGetReservedSkybillWithTypeAndModeAuth',
  'getReservedSkybillWithTypeAndModeAuthResponse' => 'ChronopostStructGetReservedSkybillWithTypeAndModeAuthResponse',
  'getReservedSkybillWithTypeAndModeByReservation' => 'ChronopostStructGetReservedSkybillWithTypeAndModeByReservation',
  'getReservedSkybillWithTypeAndModeByReservationResponse' => 'ChronopostStructGetReservedSkybillWithTypeAndModeByReservationResponse',
  'getReservedSkybillWithTypeAndModeResponse' => 'ChronopostStructGetReservedSkybillWithTypeAndModeResponse',
  'getReservedSkybillWithTypeResponse' => 'ChronopostStructGetReservedSkybillWithTypeResponse',
  'getShippingInformation' => 'ChronopostStructGetShippingInformation',
  'getShippingInformationResponse' => 'ChronopostStructGetShippingInformationResponse',
  'headerValue' => 'ChronopostStructHeaderValue',
  'infoClient' => 'ChronopostStructInfoClient',
  'infoDouanieres' => 'ChronopostStructInfoDouanieres',
  'infoEnlevement' => 'ChronopostStructInfoEnlevement',
  'options' => 'ChronopostStructOptions',
  'particularites' => 'ChronopostStructParticularites',
  'particularitesColisDpd' => 'ChronopostStructParticularitesColisDpd',
  'particularitesEsd' => 'ChronopostStructParticularitesEsd',
  'rechercherContraintesEnlevement' => 'ChronopostStructRechercherContraintesEnlevement',
  'rechercherContraintesEnlevementResponse' => 'ChronopostStructRechercherContraintesEnlevementResponse',
  'recipientLocalValue' => 'ChronopostStructRecipientLocalValue',
  'recipientValue' => 'ChronopostStructRecipientValue',
  'refValue' => 'ChronopostStructRefValue',
  'resultEnlevementEurope' => 'ChronopostStructResultEnlevementEurope',
  'resultEnlevementNational' => 'ChronopostStructResultEnlevementNational',
  'resultExpeditionValue' => 'ChronopostStructResultExpeditionValue',
  'resultExpeditionValueV3' => 'ChronopostStructResultExpeditionValueV3',
  'resultFaisabiliteESD' => 'ChronopostStructResultFaisabiliteESD',
  'resultGetReservedSkybillValue' => 'ChronopostStructResultGetReservedSkybillValue',
  'resultGetReservedSkybillWithTypeValue' => 'ChronopostStructResultGetReservedSkybillWithTypeValue',
  'resultMonoParcelExpeditionValue' => 'ChronopostStructResultMonoParcelExpeditionValue',
  'resultMultiParcelExpeditionValue' => 'ChronopostStructResultMultiParcelExpeditionValue',
  'resultMultiParcelValue' => 'ChronopostStructResultMultiParcelValue',
  'resultParcelValue' => 'ChronopostStructResultParcelValue',
  'resultReservationExpeditionValue' => 'ChronopostStructResultReservationExpeditionValue',
  'resultReservationExpeditionValueV2' => 'ChronopostStructResultReservationExpeditionValueV2',
  'resultReservationMultiParcelExpeditionValue' => 'ChronopostStructResultReservationMultiParcelExpeditionValue',
  'resultReservationMultiParcelExpeditionValueV2' => 'ChronopostStructResultReservationMultiParcelExpeditionValueV2',
  'resultShippingInfo' => 'ChronopostStructResultShippingInfo',
  'resultShippingValue' => 'ChronopostStructResultShippingValue',
  'scheduledValue' => 'ChronopostStructScheduledValue',
  'shipperValue' => 'ChronopostStructShipperValue',
  'shipperValueV2' => 'ChronopostStructShipperValueV2',
  'shipping' => 'ChronopostStructShipping',
  'shippingInfo' => 'ChronopostStructShippingInfo',
  'shippingMultiParcel' => 'ChronopostStructShippingMultiParcel',
  'shippingMultiParcelResponse' => 'ChronopostStructShippingMultiParcelResponse',
  'shippingMultiParcelV2' => 'ChronopostStructShippingMultiParcelV2',
  'shippingMultiParcelV2Response' => 'ChronopostStructShippingMultiParcelV2Response',
  'shippingMultiParcelWithReservation' => 'ChronopostStructShippingMultiParcelWithReservation',
  'shippingMultiParcelWithReservationResponse' => 'ChronopostStructShippingMultiParcelWithReservationResponse',
  'shippingMultiParcelWithReservationV2' => 'ChronopostStructShippingMultiParcelWithReservationV2',
  'shippingMultiParcelWithReservationV2Response' => 'ChronopostStructShippingMultiParcelWithReservationV2Response',
  'shippingMultiParcelWithReservationV3' => 'ChronopostStructShippingMultiParcelWithReservationV3',
  'shippingMultiParcelWithReservationV3Response' => 'ChronopostStructShippingMultiParcelWithReservationV3Response',
  'shippingResponse' => 'ChronopostStructShippingResponse',
  'shippingV2' => 'ChronopostStructShippingV2',
  'shippingV2Response' => 'ChronopostStructShippingV2Response',
  'shippingV3' => 'ChronopostStructShippingV3',
  'shippingV3Response' => 'ChronopostStructShippingV3Response',
  'shippingV4' => 'ChronopostStructShippingV4',
  'shippingV4Response' => 'ChronopostStructShippingV4Response',
  'shippingV5' => 'ChronopostStructShippingV5',
  'shippingV5Response' => 'ChronopostStructShippingV5Response',
  'shippingV6' => 'ChronopostStructShippingV6',
  'shippingV6Response' => 'ChronopostStructShippingV6Response',
  'shippingV7' => 'ChronopostStructShippingV7',
  'shippingV7Response' => 'ChronopostStructShippingV7Response',
  'shippingWithESDOnly' => 'ChronopostStructShippingWithESDOnly',
  'shippingWithESDOnlyResponse' => 'ChronopostStructShippingWithESDOnlyResponse',
  'shippingWithReservation' => 'ChronopostStructShippingWithReservation',
  'shippingWithReservationAndESDWithRefClient' => 'ChronopostStructShippingWithReservationAndESDWithRefClient',
  'shippingWithReservationAndESDWithRefClientPC' => 'ChronopostStructShippingWithReservationAndESDWithRefClientPC',
  'shippingWithReservationAndESDWithRefClientPCResponse' => 'ChronopostStructShippingWithReservationAndESDWithRefClientPCResponse',
  'shippingWithReservationAndESDWithRefClientResponse' => 'ChronopostStructShippingWithReservationAndESDWithRefClientResponse',
  'shippingWithReservationResponse' => 'ChronopostStructShippingWithReservationResponse',
  'shippingWithReservationV2' => 'ChronopostStructShippingWithReservationV2',
  'shippingWithReservationV2Response' => 'ChronopostStructShippingWithReservationV2Response',
  'skybillParamsValue' => 'ChronopostStructSkybillParamsValue',
  'skybillParamsValueV2' => 'ChronopostStructSkybillParamsValueV2',
  'skybillValue' => 'ChronopostStructSkybillValue',
  'skybillValueBase' => 'ChronopostStructSkybillValueBase',
  'skybillValueV2' => 'ChronopostStructSkybillValueV2',
  'skybillWithDimensionsValue' => 'ChronopostStructSkybillWithDimensionsValue',
  'skybillWithDimensionsValueV2' => 'ChronopostStructSkybillWithDimensionsValueV2',
  'skybillWithDimensionsValueV3' => 'ChronopostStructSkybillWithDimensionsValueV3',
  'skybillWithDimensionsValueV4' => 'ChronopostStructSkybillWithDimensionsValueV4',
);
    }
}
