<?php
/**
 * File for class ChronopostStructCustomsValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructCustomsValue originally named customsValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructCustomsValue extends ChronopostWsdlClass
{
    /**
     * The articlesValue
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var ChronopostStructArticleValue
     */
    public $articlesValue;
    /**
     * The bagNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $bagNumber;
    /**
     * The clearanceCleared
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $clearanceCleared;
    /**
     * The currency
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $currency;
    /**
     * The description
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $description;
    /**
     * The descriptionInLanguage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $descriptionInLanguage;
    /**
     * The eori
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $eori;
    /**
     * The incoterm
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $incoterm;
    /**
     * The language
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $language;
    /**
     * The numberOfItems
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $numberOfItems;
    /**
     * The value
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var float
     */
    public $value;
    /**
     * The vatNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $vatNumber;
    /**
     * Constructor method for customsValue
     * @see parent::__construct()
     * @param ChronopostStructArticleValue $_articlesValue
     * @param string $_bagNumber
     * @param string $_clearanceCleared
     * @param string $_currency
     * @param string $_description
     * @param string $_descriptionInLanguage
     * @param string $_eori
     * @param string $_incoterm
     * @param string $_language
     * @param int $_numberOfItems
     * @param float $_value
     * @param string $_vatNumber
     * @return ChronopostStructCustomsValue
     */
    public function __construct($_articlesValue = NULL,$_bagNumber = NULL,$_clearanceCleared = NULL,$_currency = NULL,$_description = NULL,$_descriptionInLanguage = NULL,$_eori = NULL,$_incoterm = NULL,$_language = NULL,$_numberOfItems = NULL,$_value = NULL,$_vatNumber = NULL)
    {
        parent::__construct(array('articlesValue'=>$_articlesValue,'bagNumber'=>$_bagNumber,'clearanceCleared'=>$_clearanceCleared,'currency'=>$_currency,'description'=>$_description,'descriptionInLanguage'=>$_descriptionInLanguage,'eori'=>$_eori,'incoterm'=>$_incoterm,'language'=>$_language,'numberOfItems'=>$_numberOfItems,'value'=>$_value,'vatNumber'=>$_vatNumber),false);
    }
    /**
     * Get articlesValue value
     * @return ChronopostStructArticleValue|null
     */
    public function getArticlesValue()
    {
        return $this->articlesValue;
    }
    /**
     * Set articlesValue value
     * @param ChronopostStructArticleValue $_articlesValue the articlesValue
     * @return ChronopostStructArticleValue
     */
    public function setArticlesValue($_articlesValue)
    {
        return ($this->articlesValue = $_articlesValue);
    }
    /**
     * Get bagNumber value
     * @return string|null
     */
    public function getBagNumber()
    {
        return $this->bagNumber;
    }
    /**
     * Set bagNumber value
     * @param string $_bagNumber the bagNumber
     * @return string
     */
    public function setBagNumber($_bagNumber)
    {
        return ($this->bagNumber = $_bagNumber);
    }
    /**
     * Get clearanceCleared value
     * @return string|null
     */
    public function getClearanceCleared()
    {
        return $this->clearanceCleared;
    }
    /**
     * Set clearanceCleared value
     * @param string $_clearanceCleared the clearanceCleared
     * @return string
     */
    public function setClearanceCleared($_clearanceCleared)
    {
        return ($this->clearanceCleared = $_clearanceCleared);
    }
    /**
     * Get currency value
     * @return string|null
     */
    public function getCurrency()
    {
        return $this->currency;
    }
    /**
     * Set currency value
     * @param string $_currency the currency
     * @return string
     */
    public function setCurrency($_currency)
    {
        return ($this->currency = $_currency);
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $_description the description
     * @return string
     */
    public function setDescription($_description)
    {
        return ($this->description = $_description);
    }
    /**
     * Get descriptionInLanguage value
     * @return string|null
     */
    public function getDescriptionInLanguage()
    {
        return $this->descriptionInLanguage;
    }
    /**
     * Set descriptionInLanguage value
     * @param string $_descriptionInLanguage the descriptionInLanguage
     * @return string
     */
    public function setDescriptionInLanguage($_descriptionInLanguage)
    {
        return ($this->descriptionInLanguage = $_descriptionInLanguage);
    }
    /**
     * Get eori value
     * @return string|null
     */
    public function getEori()
    {
        return $this->eori;
    }
    /**
     * Set eori value
     * @param string $_eori the eori
     * @return string
     */
    public function setEori($_eori)
    {
        return ($this->eori = $_eori);
    }
    /**
     * Get incoterm value
     * @return string|null
     */
    public function getIncoterm()
    {
        return $this->incoterm;
    }
    /**
     * Set incoterm value
     * @param string $_incoterm the incoterm
     * @return string
     */
    public function setIncoterm($_incoterm)
    {
        return ($this->incoterm = $_incoterm);
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $_language the language
     * @return string
     */
    public function setLanguage($_language)
    {
        return ($this->language = $_language);
    }
    /**
     * Get numberOfItems value
     * @return int|null
     */
    public function getNumberOfItems()
    {
        return $this->numberOfItems;
    }
    /**
     * Set numberOfItems value
     * @param int $_numberOfItems the numberOfItems
     * @return int
     */
    public function setNumberOfItems($_numberOfItems)
    {
        return ($this->numberOfItems = $_numberOfItems);
    }
    /**
     * Get value value
     * @return float|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param float $_value the value
     * @return float
     */
    public function setValue($_value)
    {
        return ($this->value = $_value);
    }
    /**
     * Get vatNumber value
     * @return string|null
     */
    public function getVatNumber()
    {
        return $this->vatNumber;
    }
    /**
     * Set vatNumber value
     * @param string $_vatNumber the vatNumber
     * @return string
     */
    public function setVatNumber($_vatNumber)
    {
        return ($this->vatNumber = $_vatNumber);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructCustomsValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
