<?php
/**
 * File for class ChronopostServiceGet
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostServiceGet originally named Get
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostServiceGet extends ChronopostWsdlClass
{
    /**
     * Method to call the operation originally named getReservedSkybillWithType
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructGetReservedSkybillWithType $_chronopostStructGetReservedSkybillWithType
     * @return ChronopostStructGetReservedSkybillWithTypeResponse
     */
    public function getReservedSkybillWithType(ChronopostStructGetReservedSkybillWithType $_chronopostStructGetReservedSkybillWithType)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getReservedSkybillWithType($_chronopostStructGetReservedSkybillWithType));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getReservedSkybillWithTypeAndModeAuth
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructGetReservedSkybillWithTypeAndModeAuth $_chronopostStructGetReservedSkybillWithTypeAndModeAuth
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeAuthResponse
     */
    public function getReservedSkybillWithTypeAndModeAuth(ChronopostStructGetReservedSkybillWithTypeAndModeAuth $_chronopostStructGetReservedSkybillWithTypeAndModeAuth)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getReservedSkybillWithTypeAndModeAuth($_chronopostStructGetReservedSkybillWithTypeAndModeAuth));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getReservedSkybillWithTypeAndModeByReservation
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructGetReservedSkybillWithTypeAndModeByReservation $_chronopostStructGetReservedSkybillWithTypeAndModeByReservation
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeByReservationResponse
     */
    public function getReservedSkybillWithTypeAndModeByReservation(ChronopostStructGetReservedSkybillWithTypeAndModeByReservation $_chronopostStructGetReservedSkybillWithTypeAndModeByReservation)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getReservedSkybillWithTypeAndModeByReservation($_chronopostStructGetReservedSkybillWithTypeAndModeByReservation));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getReservedSkybill
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructGetReservedSkybill $_chronopostStructGetReservedSkybill
     * @return ChronopostStructGetReservedSkybillResponse
     */
    public function getReservedSkybill(ChronopostStructGetReservedSkybill $_chronopostStructGetReservedSkybill)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getReservedSkybill($_chronopostStructGetReservedSkybill));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getReservedSkybillWithTypeAndMode
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructGetReservedSkybillWithTypeAndMode $_chronopostStructGetReservedSkybillWithTypeAndMode
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeResponse
     */
    public function getReservedSkybillWithTypeAndMode(ChronopostStructGetReservedSkybillWithTypeAndMode $_chronopostStructGetReservedSkybillWithTypeAndMode)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getReservedSkybillWithTypeAndMode($_chronopostStructGetReservedSkybillWithTypeAndMode));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getShippingInformation
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructGetShippingInformation $_chronopostStructGetShippingInformation
     * @return ChronopostStructGetShippingInformationResponse
     */
    public function getShippingInformation(ChronopostStructGetShippingInformation $_chronopostStructGetShippingInformation)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getShippingInformation($_chronopostStructGetShippingInformation));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see ChronopostWsdlClass::getResult()
     * @return ChronopostStructGetReservedSkybillResponse|ChronopostStructGetReservedSkybillWithTypeAndModeAuthResponse|ChronopostStructGetReservedSkybillWithTypeAndModeByReservationResponse|ChronopostStructGetReservedSkybillWithTypeAndModeResponse|ChronopostStructGetReservedSkybillWithTypeResponse|ChronopostStructGetShippingInformationResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
