<?php
/**
 * File for class ChronopostStructGetShippingInformation
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructGetShippingInformation originally named getShippingInformation
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructGetShippingInformation extends ChronopostWsdlClass
{
    /**
     * The headerValue
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructHeaderValue
     */
    public $headerValue;
    /**
     * The shipperValue
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructShipperValue
     */
    public $shipperValue;
    /**
     * The recipientValue
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructRecipientValue
     */
    public $recipientValue;
    /**
     * The skybillValueBase
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructSkybillValueBase
     */
    public $skybillValueBase;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $password;
    /**
     * Constructor method for getShippingInformation
     * @see parent::__construct()
     * @param ChronopostStructHeaderValue $_headerValue
     * @param ChronopostStructShipperValue $_shipperValue
     * @param ChronopostStructRecipientValue $_recipientValue
     * @param ChronopostStructSkybillValueBase $_skybillValueBase
     * @param string $_password
     * @return ChronopostStructGetShippingInformation
     */
    public function __construct($_headerValue = NULL,$_shipperValue = NULL,$_recipientValue = NULL,$_skybillValueBase = NULL,$_password = NULL)
    {
        parent::__construct(array('headerValue'=>$_headerValue,'shipperValue'=>$_shipperValue,'recipientValue'=>$_recipientValue,'skybillValueBase'=>$_skybillValueBase,'password'=>$_password),false);
    }
    /**
     * Get headerValue value
     * @return ChronopostStructHeaderValue|null
     */
    public function getHeaderValue()
    {
        return $this->headerValue;
    }
    /**
     * Set headerValue value
     * @param ChronopostStructHeaderValue $_headerValue the headerValue
     * @return ChronopostStructHeaderValue
     */
    public function setHeaderValue($_headerValue)
    {
        return ($this->headerValue = $_headerValue);
    }
    /**
     * Get shipperValue value
     * @return ChronopostStructShipperValue|null
     */
    public function getShipperValue()
    {
        return $this->shipperValue;
    }
    /**
     * Set shipperValue value
     * @param ChronopostStructShipperValue $_shipperValue the shipperValue
     * @return ChronopostStructShipperValue
     */
    public function setShipperValue($_shipperValue)
    {
        return ($this->shipperValue = $_shipperValue);
    }
    /**
     * Get recipientValue value
     * @return ChronopostStructRecipientValue|null
     */
    public function getRecipientValue()
    {
        return $this->recipientValue;
    }
    /**
     * Set recipientValue value
     * @param ChronopostStructRecipientValue $_recipientValue the recipientValue
     * @return ChronopostStructRecipientValue
     */
    public function setRecipientValue($_recipientValue)
    {
        return ($this->recipientValue = $_recipientValue);
    }
    /**
     * Get skybillValueBase value
     * @return ChronopostStructSkybillValueBase|null
     */
    public function getSkybillValueBase()
    {
        return $this->skybillValueBase;
    }
    /**
     * Set skybillValueBase value
     * @param ChronopostStructSkybillValueBase $_skybillValueBase the skybillValueBase
     * @return ChronopostStructSkybillValueBase
     */
    public function setSkybillValueBase($_skybillValueBase)
    {
        return ($this->skybillValueBase = $_skybillValueBase);
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $_password the password
     * @return string
     */
    public function setPassword($_password)
    {
        return ($this->password = $_password);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructGetShippingInformation
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
