<?php
/**
 * File for class ChronopostStructInfoClient
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructInfoClient originally named infoClient
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructInfoClient extends ChronopostWsdlClass
{
    /**
     * The contenu
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $contenu;
    /**
     * The devise
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $devise;
    /**
     * The montant
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var double
     */
    public $montant;
    /**
     * The refEsdClient
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $refEsdClient;
    /**
     * The service
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $service;
    /**
     * Constructor method for infoClient
     * @see parent::__construct()
     * @param string $_contenu
     * @param string $_devise
     * @param double $_montant
     * @param string $_refEsdClient
     * @param string $_service
     * @return ChronopostStructInfoClient
     */
    public function __construct($_contenu = NULL,$_devise = NULL,$_montant = NULL,$_refEsdClient = NULL,$_service = NULL)
    {
        parent::__construct(array('contenu'=>$_contenu,'devise'=>$_devise,'montant'=>$_montant,'refEsdClient'=>$_refEsdClient,'service'=>$_service),false);
    }
    /**
     * Get contenu value
     * @return string|null
     */
    public function getContenu()
    {
        return $this->contenu;
    }
    /**
     * Set contenu value
     * @param string $_contenu the contenu
     * @return string
     */
    public function setContenu($_contenu)
    {
        return ($this->contenu = $_contenu);
    }
    /**
     * Get devise value
     * @return string|null
     */
    public function getDevise()
    {
        return $this->devise;
    }
    /**
     * Set devise value
     * @param string $_devise the devise
     * @return string
     */
    public function setDevise($_devise)
    {
        return ($this->devise = $_devise);
    }
    /**
     * Get montant value
     * @return double|null
     */
    public function getMontant()
    {
        return $this->montant;
    }
    /**
     * Set montant value
     * @param double $_montant the montant
     * @return double
     */
    public function setMontant($_montant)
    {
        return ($this->montant = $_montant);
    }
    /**
     * Get refEsdClient value
     * @return string|null
     */
    public function getRefEsdClient()
    {
        return $this->refEsdClient;
    }
    /**
     * Set refEsdClient value
     * @param string $_refEsdClient the refEsdClient
     * @return string
     */
    public function setRefEsdClient($_refEsdClient)
    {
        return ($this->refEsdClient = $_refEsdClient);
    }
    /**
     * Get service value
     * @return string|null
     */
    public function getService()
    {
        return $this->service;
    }
    /**
     * Set service value
     * @param string $_service the service
     * @return string
     */
    public function setService($_service)
    {
        return ($this->service = $_service);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructInfoClient
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
