<?php
/**
 * File for class ChronopostStructScheduledValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructScheduledValue originally named scheduledValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructScheduledValue extends ChronopostWsdlClass
{
    /**
     * The appointmentValue
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructAppointmentValue
     */
    public $appointmentValue;
    /**
     * The expirationDate
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $expirationDate;
    /**
     * The sellByDate
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $sellByDate;
    /**
     * Constructor method for scheduledValue
     * @see parent::__construct()
     * @param ChronopostStructAppointmentValue $_appointmentValue
     * @param dateTime $_expirationDate
     * @param dateTime $_sellByDate
     * @return ChronopostStructScheduledValue
     */
    public function __construct($_appointmentValue = NULL,$_expirationDate = NULL,$_sellByDate = NULL)
    {
        parent::__construct(array('appointmentValue'=>$_appointmentValue,'expirationDate'=>$_expirationDate,'sellByDate'=>$_sellByDate),false);
    }
    /**
     * Get appointmentValue value
     * @return ChronopostStructAppointmentValue|null
     */
    public function getAppointmentValue()
    {
        return $this->appointmentValue;
    }
    /**
     * Set appointmentValue value
     * @param ChronopostStructAppointmentValue $_appointmentValue the appointmentValue
     * @return ChronopostStructAppointmentValue
     */
    public function setAppointmentValue($_appointmentValue)
    {
        return ($this->appointmentValue = $_appointmentValue);
    }
    /**
     * Get expirationDate value
     * @return dateTime|null
     */
    public function getExpirationDate()
    {
        return $this->expirationDate;
    }
    /**
     * Set expirationDate value
     * @param dateTime $_expirationDate the expirationDate
     * @return dateTime
     */
    public function setExpirationDate($_expirationDate)
    {
        return ($this->expirationDate = $_expirationDate);
    }
    /**
     * Get sellByDate value
     * @return dateTime|null
     */
    public function getSellByDate()
    {
        return $this->sellByDate;
    }
    /**
     * Set sellByDate value
     * @param dateTime $_sellByDate the sellByDate
     * @return dateTime
     */
    public function setSellByDate($_sellByDate)
    {
        return ($this->sellByDate = $_sellByDate);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructScheduledValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
