<?php
/**
 * File for class ChronopostServiceShipping
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostServiceShipping originally named Shipping
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostServiceShipping extends ChronopostWsdlClass
{
    /**
     * Method to call the operation originally named shippingV2
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingV2 $_chronopostStructShippingV2
     * @return ChronopostStructShippingV2Response
     */
    public function shippingV2(ChronopostStructShippingV2 $_chronopostStructShippingV2)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingV2($_chronopostStructShippingV2));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingV3
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingV3 $_chronopostStructShippingV3
     * @return ChronopostStructShippingV3Response
     */
    public function shippingV3(ChronopostStructShippingV3 $_chronopostStructShippingV3)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingV3($_chronopostStructShippingV3));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingMultiParcel
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingMultiParcel $_chronopostStructShippingMultiParcel
     * @return ChronopostStructShippingMultiParcelResponse
     */
    public function shippingMultiParcel(ChronopostStructShippingMultiParcel $_chronopostStructShippingMultiParcel)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingMultiParcel($_chronopostStructShippingMultiParcel));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingWithReservationV2
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingWithReservationV2 $_chronopostStructShippingWithReservationV2
     * @return ChronopostStructShippingWithReservationV2Response
     */
    public function shippingWithReservationV2(ChronopostStructShippingWithReservationV2 $_chronopostStructShippingWithReservationV2)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingWithReservationV2($_chronopostStructShippingWithReservationV2));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shipping
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShipping $_chronopostStructShipping
     * @return ChronopostStructShippingResponse
     */
    public function shipping(ChronopostStructShipping $_chronopostStructShipping)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shipping($_chronopostStructShipping));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingMultiParcelWithReservation
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingMultiParcelWithReservation $_chronopostStructShippingMultiParcelWithReservation
     * @return ChronopostStructShippingMultiParcelWithReservationResponse
     */
    public function shippingMultiParcelWithReservation(ChronopostStructShippingMultiParcelWithReservation $_chronopostStructShippingMultiParcelWithReservation)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingMultiParcelWithReservation($_chronopostStructShippingMultiParcelWithReservation));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingMultiParcelWithReservationV3
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingMultiParcelWithReservationV3 $_chronopostStructShippingMultiParcelWithReservationV3
     * @return ChronopostStructShippingMultiParcelWithReservationV3Response
     */
    public function shippingMultiParcelWithReservationV3(ChronopostStructShippingMultiParcelWithReservationV3 $_chronopostStructShippingMultiParcelWithReservationV3)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingMultiParcelWithReservationV3($_chronopostStructShippingMultiParcelWithReservationV3));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingMultiParcelV2
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingMultiParcelV2 $_chronopostStructShippingMultiParcelV2
     * @return ChronopostStructShippingMultiParcelV2Response
     */
    public function shippingMultiParcelV2(ChronopostStructShippingMultiParcelV2 $_chronopostStructShippingMultiParcelV2)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingMultiParcelV2($_chronopostStructShippingMultiParcelV2));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingV6
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingV6 $_chronopostStructShippingV6
     * @return ChronopostStructShippingV6Response
     */
    public function shippingV6(ChronopostStructShippingV6 $_chronopostStructShippingV6)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingV6($_chronopostStructShippingV6));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingWithReservation
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingWithReservation $_chronopostStructShippingWithReservation
     * @return ChronopostStructShippingWithReservationResponse
     */
    public function shippingWithReservation(ChronopostStructShippingWithReservation $_chronopostStructShippingWithReservation)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingWithReservation($_chronopostStructShippingWithReservation));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingV7
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingV7 $_chronopostStructShippingV7
     * @return ChronopostStructShippingV7Response
     */
    public function shippingV7(ChronopostStructShippingV7 $_chronopostStructShippingV7)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingV7($_chronopostStructShippingV7));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingWithReservationAndESDWithRefClient
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingWithReservationAndESDWithRefClient $_chronopostStructShippingWithReservationAndESDWithRefClient
     * @return ChronopostStructShippingWithReservationAndESDWithRefClientResponse
     */
    public function shippingWithReservationAndESDWithRefClient(ChronopostStructShippingWithReservationAndESDWithRefClient $_chronopostStructShippingWithReservationAndESDWithRefClient)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingWithReservationAndESDWithRefClient($_chronopostStructShippingWithReservationAndESDWithRefClient));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingV4
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingV4 $_chronopostStructShippingV4
     * @return ChronopostStructShippingV4Response
     */
    public function shippingV4(ChronopostStructShippingV4 $_chronopostStructShippingV4)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingV4($_chronopostStructShippingV4));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingV5
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingV5 $_chronopostStructShippingV5
     * @return ChronopostStructShippingV5Response
     */
    public function shippingV5(ChronopostStructShippingV5 $_chronopostStructShippingV5)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingV5($_chronopostStructShippingV5));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingWithReservationAndESDWithRefClientPC
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingWithReservationAndESDWithRefClientPC $_chronopostStructShippingWithReservationAndESDWithRefClientPC
     * @return ChronopostStructShippingWithReservationAndESDWithRefClientPCResponse
     */
    public function shippingWithReservationAndESDWithRefClientPC(ChronopostStructShippingWithReservationAndESDWithRefClientPC $_chronopostStructShippingWithReservationAndESDWithRefClientPC)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingWithReservationAndESDWithRefClientPC($_chronopostStructShippingWithReservationAndESDWithRefClientPC));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingMultiParcelWithReservationV2
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingMultiParcelWithReservationV2 $_chronopostStructShippingMultiParcelWithReservationV2
     * @return ChronopostStructShippingMultiParcelWithReservationV2Response
     */
    public function shippingMultiParcelWithReservationV2(ChronopostStructShippingMultiParcelWithReservationV2 $_chronopostStructShippingMultiParcelWithReservationV2)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingMultiParcelWithReservationV2($_chronopostStructShippingMultiParcelWithReservationV2));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named shippingWithESDOnly
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructShippingWithESDOnly $_chronopostStructShippingWithESDOnly
     * @return ChronopostStructShippingWithESDOnlyResponse
     */
    public function shippingWithESDOnly(ChronopostStructShippingWithESDOnly $_chronopostStructShippingWithESDOnly)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->shippingWithESDOnly($_chronopostStructShippingWithESDOnly));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see ChronopostWsdlClass::getResult()
     * @return ChronopostStructShippingMultiParcelResponse|ChronopostStructShippingMultiParcelV2Response|ChronopostStructShippingMultiParcelWithReservationResponse|ChronopostStructShippingMultiParcelWithReservationV2Response|ChronopostStructShippingMultiParcelWithReservationV3Response|ChronopostStructShippingResponse|ChronopostStructShippingV2Response|ChronopostStructShippingV3Response|ChronopostStructShippingV4Response|ChronopostStructShippingV5Response|ChronopostStructShippingV6Response|ChronopostStructShippingV7Response|ChronopostStructShippingWithESDOnlyResponse|ChronopostStructShippingWithReservationAndESDWithRefClientPCResponse|ChronopostStructShippingWithReservationAndESDWithRefClientResponse|ChronopostStructShippingWithReservationResponse|ChronopostStructShippingWithReservationV2Response
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
