<?php
/**
 * Test with Chronopost for 'https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl'
 * @package Chronopost
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
ini_set('memory_limit','512M');
ini_set('display_errors',true);
error_reporting(-1);
/**
 * Load autoload
 */
require_once dirname(__FILE__) . '/ChronopostAutoload.php';
/**
 * Wsdl instanciation infos. By default, nothing has to be set.
 * If you wish to override the SoapClient's options, please refer to the sample below.
 * 
 * This is an associative array as:
 * - the key must be a ChronopostWsdlClass constant beginning with WSDL_
 * - the value must be the corresponding key value
 * Each option matches the {@link http://www.php.net/manual/en/soapclient.soapclient.php} options
 * 
 * Here is below an example of how you can set the array:
 * $wsdl = array();
 * $wsdl[ChronopostWsdlClass::WSDL_URL] = 'https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl';
 * $wsdl[ChronopostWsdlClass::WSDL_CACHE_WSDL] = WSDL_CACHE_NONE;
 * $wsdl[ChronopostWsdlClass::WSDL_TRACE] = true;
 * $wsdl[ChronopostWsdlClass::WSDL_LOGIN] = 'myLogin';
 * $wsdl[ChronopostWsdlClass::WSDL_PASSWD] = '**********';
 * etc....
 * Then instantiate the Service class as: 
 * - $wsdlObject = new ChronopostWsdlClass($wsdl);
 */
/**
 * Examples
 */


/******************************************
 * Example for ChronopostServiceFaisabilite
 */
$chronopostServiceFaisabilite = new ChronopostServiceFaisabilite();
// sample call for ChronopostServiceFaisabilite::faisabiliteESD()
if($chronopostServiceFaisabilite->faisabiliteESD(new ChronopostStructFaisabiliteESD(/*** update parameters list ***/)))
    print_r($chronopostServiceFaisabilite->getResult());
else
    print_r($chronopostServiceFaisabilite->getLastError());

/**********************************
 * Example for ChronopostServiceGet
 */
$chronopostServiceGet = new ChronopostServiceGet();
// sample call for ChronopostServiceGet::getReservedSkybillWithType()
if($chronopostServiceGet->getReservedSkybillWithType(new ChronopostStructGetReservedSkybillWithType(/*** update parameters list ***/)))
    print_r($chronopostServiceGet->getResult());
else
    print_r($chronopostServiceGet->getLastError());
// sample call for ChronopostServiceGet::getReservedSkybillWithTypeAndModeAuth()
if($chronopostServiceGet->getReservedSkybillWithTypeAndModeAuth(new ChronopostStructGetReservedSkybillWithTypeAndModeAuth(/*** update parameters list ***/)))
    print_r($chronopostServiceGet->getResult());
else
    print_r($chronopostServiceGet->getLastError());
// sample call for ChronopostServiceGet::getReservedSkybillWithTypeAndModeByReservation()
if($chronopostServiceGet->getReservedSkybillWithTypeAndModeByReservation(new ChronopostStructGetReservedSkybillWithTypeAndModeByReservation(/*** update parameters list ***/)))
    print_r($chronopostServiceGet->getResult());
else
    print_r($chronopostServiceGet->getLastError());
// sample call for ChronopostServiceGet::getReservedSkybill()
if($chronopostServiceGet->getReservedSkybill(new ChronopostStructGetReservedSkybill(/*** update parameters list ***/)))
    print_r($chronopostServiceGet->getResult());
else
    print_r($chronopostServiceGet->getLastError());
// sample call for ChronopostServiceGet::getReservedSkybillWithTypeAndMode()
if($chronopostServiceGet->getReservedSkybillWithTypeAndMode(new ChronopostStructGetReservedSkybillWithTypeAndMode(/*** update parameters list ***/)))
    print_r($chronopostServiceGet->getResult());
else
    print_r($chronopostServiceGet->getLastError());
// sample call for ChronopostServiceGet::getShippingInformation()
if($chronopostServiceGet->getShippingInformation(new ChronopostStructGetShippingInformation(/*** update parameters list ***/)))
    print_r($chronopostServiceGet->getResult());
else
    print_r($chronopostServiceGet->getLastError());

/***************************************
 * Example for ChronopostServiceShipping
 */
$chronopostServiceShipping = new ChronopostServiceShipping();
// sample call for ChronopostServiceShipping::shippingV2()
if($chronopostServiceShipping->shippingV2(new ChronopostStructShippingV2(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingV3()
if($chronopostServiceShipping->shippingV3(new ChronopostStructShippingV3(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingMultiParcel()
if($chronopostServiceShipping->shippingMultiParcel(new ChronopostStructShippingMultiParcel(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingWithReservationV2()
if($chronopostServiceShipping->shippingWithReservationV2(new ChronopostStructShippingWithReservationV2(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shipping()
if($chronopostServiceShipping->shipping(new ChronopostStructShipping(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingMultiParcelWithReservation()
if($chronopostServiceShipping->shippingMultiParcelWithReservation(new ChronopostStructShippingMultiParcelWithReservation(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingMultiParcelWithReservationV3()
if($chronopostServiceShipping->shippingMultiParcelWithReservationV3(new ChronopostStructShippingMultiParcelWithReservationV3(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingMultiParcelV2()
if($chronopostServiceShipping->shippingMultiParcelV2(new ChronopostStructShippingMultiParcelV2(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingV6()
if($chronopostServiceShipping->shippingV6(new ChronopostStructShippingV6(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingWithReservation()
if($chronopostServiceShipping->shippingWithReservation(new ChronopostStructShippingWithReservation(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingV7()
if($chronopostServiceShipping->shippingV7(new ChronopostStructShippingV7(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingWithReservationAndESDWithRefClient()
if($chronopostServiceShipping->shippingWithReservationAndESDWithRefClient(new ChronopostStructShippingWithReservationAndESDWithRefClient(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingV4()
if($chronopostServiceShipping->shippingV4(new ChronopostStructShippingV4(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingV5()
if($chronopostServiceShipping->shippingV5(new ChronopostStructShippingV5(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingWithReservationAndESDWithRefClientPC()
if($chronopostServiceShipping->shippingWithReservationAndESDWithRefClientPC(new ChronopostStructShippingWithReservationAndESDWithRefClientPC(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingMultiParcelWithReservationV2()
if($chronopostServiceShipping->shippingMultiParcelWithReservationV2(new ChronopostStructShippingMultiParcelWithReservationV2(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());
// sample call for ChronopostServiceShipping::shippingWithESDOnly()
if($chronopostServiceShipping->shippingWithESDOnly(new ChronopostStructShippingWithESDOnly(/*** update parameters list ***/)))
    print_r($chronopostServiceShipping->getResult());
else
    print_r($chronopostServiceShipping->getLastError());

/************************************
 * Example for ChronopostServiceCreer
 */
$chronopostServiceCreer = new ChronopostServiceCreer();
// sample call for ChronopostServiceCreer::creerEnlevementNational()
if($chronopostServiceCreer->creerEnlevementNational(new ChronopostStructCreerEnlevementNational(/*** update parameters list ***/)))
    print_r($chronopostServiceCreer->getResult());
else
    print_r($chronopostServiceCreer->getLastError());
// sample call for ChronopostServiceCreer::creerEnlevementEurope()
if($chronopostServiceCreer->creerEnlevementEurope(new ChronopostStructCreerEnlevementEurope(/*** update parameters list ***/)))
    print_r($chronopostServiceCreer->getResult());
else
    print_r($chronopostServiceCreer->getLastError());

/*****************************************
 * Example for ChronopostServiceRechercher
 */
$chronopostServiceRechercher = new ChronopostServiceRechercher();
// sample call for ChronopostServiceRechercher::rechercherContraintesEnlevement()
if($chronopostServiceRechercher->rechercherContraintesEnlevement(new ChronopostStructRechercherContraintesEnlevement(/*** update parameters list ***/)))
    print_r($chronopostServiceRechercher->getResult());
else
    print_r($chronopostServiceRechercher->getLastError());
